Bug 41980 - TabBar BarTintColor no longer working in 2.3.0.49
Summary: TabBar BarTintColor no longer working in 2.3.0.49
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: iOS (show other bugs)
Version: 2.3.0
Hardware: Macintosh Mac OS
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-06-19 15:25 UTC by Vic D'Elfant
Modified: 2016-06-28 11:37 UTC (History)
6 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Vic D'Elfant 2016-06-19 15:25:30 UTC
Setting the BarTintColor of a UITabBar from AppDelegate or a custom renderer no longer works after upgrading to 2.3.0.49. This was working correctly under 2.2.x.

No exception is thrown, but the UITabBar falls back to its default colors as set by iOS.
Comment 1 Rui Marinho 2016-06-28 11:37:52 UTC
Hi, this issue should be fixed in the 2.3.0 hotfix to be released and next versions of Xamarin.Forms.